/* animationengine.h	-- Yasuhiro Yamazaki
 *
 * $Header$
 * $Log$
 */
#ifndef _ANIMATIONENGINE_H
#define _ANIMATIONENGINE_H

#include "modelfile.h"
#include "keyframefile.h"
#include "keyframebind.h"

typedef struct tagAnimationEngine
{
  int ref;

  ModelFile *model;
  KeyFrameBind *bind;

} AnimationEngine;

/* Method */

AnimationEngine *createAnimationEngine( void );
void destroyAnimationEngine( AnimationEngine * );

void setAnimationModelToAE( AnimationEngine *, ModelFile * );
void setNewAnimationToAE( AnimationEngine *, KeyFrameFile *, const double current_time );

void executeAnimationEngine( AnimationEngine *, const double current_time );

#endif
