/* modelfile.h	-- Yasuhiro Yamazaki
 *
 * $Header$
 * $Log$
 */

#ifndef _MODELFILE_H
#define _MODELFILE_H

#include "modelbone.h"

/* եɤ߹ߤˤä줿 */
typedef struct tagModelBoneList
{
  ModelBone *model;
  struct tagModelBoneList *next;
} ModelBoneList;

/* ǥեξ */
typedef struct tagModelFile
{
  int ref;

  char *filename;

  /* ۤ줿κ */
  ModelBone *root;

  /* 줿Ƥδ */
  ModelBoneList *list;

} ModelFile;

/* load */
ModelFile *loadModelFile( const char *filename );

/* destroy */
void destroyModelFile( ModelFile * );

/* put */
void putModelFile( ModelFile * );

/* get */
ModelBone *getModelBoneFromModelFile( ModelFile * );

#endif
