/* keyframefile.h	-- Yasuhiro Yamazaki
 *
 * $Header$
 * $Log$
 */
#ifndef _KEYFRAMEFILE_H
#define _KEYFRAMEFILE_H

#include "keyframe.h"

typedef struct tagKeyFrameFile
{
  int ref;

  char *filename;
  KeyFrame *key_frame;
} KeyFrameFile;

/* Method */

KeyFrameFile *loadKeyFrameFile( const char *filename );

void destroyKeyFrameFile( KeyFrameFile * );

KeyFrame *getKeyFrameFromKeyFrameFile( KeyFrameFile * );

#endif
