/* trimodel.h	-- Yasuhiro Yamazaki
 *
 * $Header$
 * $Log$
 */

#ifndef _TRIMODEL_H
#define _TRIMODEL_H

#ifdef WIN32
#include <windows.h>
#endif

#include <GL/gl.h>

typedef struct tagTriModel
{
  int ref;

  GLuint display_list;
} TriModel;

/* Loader */
TriModel *loadTriModel( const char *filename );

/* Put Model */
void putTriModel( const TriModel *tri_model );

/* Destroy */
void destroyTriModel( TriModel *tri_model );

#endif
